New flake8 3.6.0 version triggering tox failures

Bug #1799721 reported by Frank Miller on 2018-10-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StarlingX
High
Bart Wensley

Bug Description

Brief Description
-----------------
Late on Oct 23rd a new flake8 version (3.6.0) was released. The best way to handle this is to keep the StarlingX repos at the current flake8 version which is <3.6.0 and create a StoryBoard to track addressing any flake8 issues due to the new v3.6.0 release.

Severity
--------
Critical - StarlingX commits will be blocked until this is addressed.

Steps to Reproduce
------------------
Execute tox on a StarlingX repo

Expected Behavior
------------------
tox should pass

Actual Behavior
----------------
tox is failing as the new version identifies new standard/issues; this blocks all new commits to StarlingX repos

Reproducibility
---------------
100% reproducible

System Configuration
--------------------
All

Branch/Pull Time/Commit
-----------------------
master or r2018.10 Oct 24th

Timestamp/Logs
--------------
n/a

Frank Miller (sensfan22) on 2018-10-24
Changed in starlingx:
assignee: nobody → Bart Wensley (bartwensley)
Ghada Khalil (gkhalil) on 2018-10-24
tags: added: stx.zuul

Fix proposed to branch: master
Review: https://review.openstack.org/613063

Changed in starlingx:
status: New → In Progress
Ghada Khalil (gkhalil) on 2018-10-24
Changed in starlingx:
importance: Undecided → High
Al Bailey (albailey1974) wrote :

Here's some info about why StarlingX was hit, but standard openstack projects were not.

Typically in the tox.ini files the pep8 section looks something like this:

deps =
    hacking
    flake8-bugbear
    flake8

whereas conventional openstack projects probably just have:

deps =
    hacking

hacking has a dependency on flake8
  flake8<2.7.0,>=2.6.0 # MIT
so it pulls in 2.6.2

flake8-bugbear conflicts with this
   install_requires=["flake8 >= 3.0.0"

specifying flake8 as its own line in the deps section seems to bypass the conflicting constraints that those other 2 components impose on one another.

Reviewed: https://review.openstack.org/613026
Committed: https://git.openstack.org/cgit/openstack/stx-ha/commit/?id=d8bf005235a3f99f538f7f0d19f0c1d47b891e77
Submitter: Zuul
Branch: master

commit d8bf005235a3f99f538f7f0d19f0c1d47b891e77
Author: Sun Austin <email address hidden>
Date: Wed Oct 24 17:17:52 2018 +0800

    force flake8 < 3.6.0 to avoid break current gate

    the version flake8 3.6.0 will cause below error
     W504 line break after binary operator
     W605 invalid escape sequence '\w'
     F901 'raise NotImplemented' should be 'raise NotImplementedError'

    Change-Id: If9a8c678aa1b573ec7b4e5ad324ba86c5d90b959
    Signed-off-by: Sun Austin <email address hidden>
    Partial-Bug: 1799721

Reviewed: https://review.openstack.org/613064
Committed: https://git.openstack.org/cgit/openstack/stx-fault/commit/?id=8080f496b6f2f4e125315c746705a50fd11827a8
Submitter: Zuul
Branch: master

commit 8080f496b6f2f4e125315c746705a50fd11827a8
Author: Bart Wensley <email address hidden>
Date: Wed Oct 24 10:05:47 2018 -0500

    Lock down flake8 version

    The new flake8 version 3.6.0 introduces new warnings that cause
    the check and gate jobs to fail. Locking down the flake8 version
    to avoid these surprises in the future. We can later increment
    the flake8 version and fix the new warnings in a controlled
    manner.

    Change-Id: I6bd40eea0ec8599af5ded99f7696e81d5c64f31e
    Partial-Bug: 1799721
    Signed-off-by: Bart Wensley <email address hidden>

Reviewed: https://review.openstack.org/613067
Committed: https://git.openstack.org/cgit/openstack/stx-update/commit/?id=bb89685107766fa638d1a54b2705daa923a41694
Submitter: Zuul
Branch: master

commit bb89685107766fa638d1a54b2705daa923a41694
Author: Bart Wensley <email address hidden>
Date: Wed Oct 24 10:08:51 2018 -0500

    Lock down flake8 version

    The new flake8 version 3.6.0 introduces new warnings that cause
    the check and gate jobs to fail. Locking down the flake8 version
    to avoid these surprises in the future. We can later increment
    the flake8 version and fix the new warnings in a controlled
    manner.

    Change-Id: I86c81746f8f8f2fcf5211335f8c42b0c03fcca9e
    Partial-Bug: 1799721
    Signed-off-by: Bart Wensley <email address hidden>

Reviewed: https://review.openstack.org/613065
Committed: https://git.openstack.org/cgit/openstack/stx-integ/commit/?id=be9c43ecf469059266ae4a4c5520fec01353458b
Submitter: Zuul
Branch: master

commit be9c43ecf469059266ae4a4c5520fec01353458b
Author: Bart Wensley <email address hidden>
Date: Wed Oct 24 10:07:06 2018 -0500

    Lock down flake8 version

    The new flake8 version 3.6.0 introduces new warnings that cause
    the check and gate jobs to fail. Locking down the flake8 version
    to avoid these surprises in the future. We can later increment
    the flake8 version and fix the new warnings in a controlled
    manner.

    Change-Id: Ie3fe4ccbb3acde158482f3207bbae655f32ae3d0
    Partial-Bug: 1799721
    Signed-off-by: Bart Wensley <email address hidden>

Reviewed: https://review.openstack.org/613066
Committed: https://git.openstack.org/cgit/openstack/stx-metal/commit/?id=dcfee58e7bd0d862d6ae5abc22b19081800ed437
Submitter: Zuul
Branch: master

commit dcfee58e7bd0d862d6ae5abc22b19081800ed437
Author: Bart Wensley <email address hidden>
Date: Wed Oct 24 10:07:57 2018 -0500

    Lock down flake8 version

    The new flake8 version 3.6.0 introduces new warnings that cause
    the check and gate jobs to fail. Locking down the flake8 version
    to avoid these surprises in the future. We can later increment
    the flake8 version and fix the new warnings in a controlled
    manner.

    Change-Id: I0cec95de9fe9d58536752038b94939962919d166
    Partial-Bug: 1799721
    Signed-off-by: Bart Wensley <email address hidden>

Reviewed: https://review.openstack.org/613063
Committed: https://git.openstack.org/cgit/openstack/stx-config/commit/?id=08c1f652eee896856caf3e6ea9e0a1b830d38da1
Submitter: Zuul
Branch: master

commit 08c1f652eee896856caf3e6ea9e0a1b830d38da1
Author: Bart Wensley <email address hidden>
Date: Wed Oct 24 10:00:33 2018 -0500

    Lock down flake8 version

    The new flake8 version 3.6.0 introduces new warnings that cause
    the check and gate jobs to fail. Locking down the flake8 version
    to avoid these surprises in the future. We can later increment
    the flake8 version and fix the new warnings in a controlled
    manner.

    Change-Id: Iced6ff91591616ade3c5cd5b0dd67f310227bdc9
    Partial-Bug: 1799721
    Signed-off-by: Bart Wensley <email address hidden>

Reviewed: https://review.openstack.org/613068
Committed: https://git.openstack.org/cgit/openstack/stx-nfv/commit/?id=09e68605ea5c11298a359a9c737876a82910f77b
Submitter: Zuul
Branch: master

commit 09e68605ea5c11298a359a9c737876a82910f77b
Author: Bart Wensley <email address hidden>
Date: Wed Oct 24 10:10:02 2018 -0500

    Lock down flake8 version

    The new flake8 version 3.6.0 introduces new warnings that cause
    the check and gate jobs to fail. Locking down the flake8 version
    to avoid these surprises in the future. We can later increment
    the flake8 version and fix the new warnings in a controlled
    manner.

    Change-Id: Ia1eac379feb67b9d2efd5bb67611fd60c2bf83ef
    Partial-Bug: 1799721
    Signed-off-by: Bart Wensley <email address hidden>

Ghada Khalil (gkhalil) wrote :

Tagging for stx.2019.10 -- fixes to be submitted in starlingx master only. If there is a need to submit more code to stx.2018.10, this commit will need to be ported to the r/2018.10 release branch to allow the zuul jobs to pass.

tags: added: stx.2019.03
Changed in starlingx:
status: In Progress → Fix Released
Ken Young (kenyis) on 2019-01-18
tags: added: stx.2019.05
removed: stx.2019.03
Ken Young (kenyis) on 2019-04-05
tags: added: stx.2.0
removed: stx.2019.05
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers